package de.renew.formalism;

import org.junit.jupiter.api.Test;

import de.renew.formalism.java.SimpleArcFactory;
import de.renew.net.inscription.arc.Arc;

import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertTrue;


public class SimpleArcFactoryTest {

    @Test
    public void testSimpleArcFactory() {
        //when
        final SimpleArcFactory testee = new SimpleArcFactory(Arc.Type.IN, true);
        // then
        assertNotNull(testee);
    }

    @Test
    public void testAllowsTime() {
        //given
        final SimpleArcFactory testee = new SimpleArcFactory(Arc.Type.IN, true);
        //when
        final boolean result = testee.allowsTime();
        //then
        assertTrue(result);
    }



}